# $Revision: 1.18 $, $Date: 2007/09/06 14:04:26 $
#
# Conditional build:
%bcond_without	static_libs	# don't build static library
#
Summary:	A library of functions for controlling audio CD-ROM players
Summary(fr.UTF-8):	Une bibliothèque pour le contrôle des lecteurs de CD-ROMS audio
Summary(it.UTF-8):	Una libreria di funzioni per controllare i lettori di CD-AUDIO
Summary(pl.UTF-8):	Biblioteka funkcji sterujących odtwarzaniem muzycznych płyt CD
Summary(sk.UTF-8):	Knižnica funkcií pre ovládanie prehrávačov zvukových CD-ROM
Name:		libcdaudio
Version:	0.99.12p2
Release:	2
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/libcdaudio/%{name}-%{version}.tar.gz
# Source0-md5:	15de3830b751818a54a42899bd3ae72c
URL:		http://libcdaudio.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fomit-frame-pointer

%description
libcdaudio is a library designed to provide functions to control
operation of a CD-ROM when playing audio CDs. It also contains
functions for CDDB and CD Index lookup.

%description -l fr.UTF-8
libcdaudio est une bibliothèque pour développer des lecteurs de CDs.
Elle comprend le jeu de commandes de base pour contrôler la lecture
des CDs ainsi que des fonctions d'accès à CDDB, à CD index et Cover
Art Index.

%description -l it.UTF-8
libcdaudio e' un librerie per lo sviluppo di lettori di CD audio che
include un set base di comandi per controllare le operazioni del
lettore CD-ROM cosi' come funzioni per accedere ai CDDB, i CD indice,
i cd di cover art.

%description -l pl.UTF-8
libcdaudio jest biblioteką zapewniającą funkcje kontrolujące działanie
CD-ROMu podczas odtwarzania płyt muzycznych. Wspiera również zapytania
CDDB i CD Index.

%description -l sk.UTF-8
libcdaudio je knižnica pre vývoj CD prehrávačov, obsahujúca základnú
sadu príkazov pre ovládanie CD-ROM jednotky, ako aj funkcie pre
prístup k CDDB, CD indexu a indexu obalov.

%package devel
Summary:	Header files and libraries for libcdaudio development
Summary(cs.UTF-8):	Knihovny a hlavičkové soubory pro vývoj s libcdaudio
Summary(fr.UTF-8):	Fichiers en-tête et bibliothèques de développement pour libcdaudio
Summary(it.UTF-8):	File header e librerie per lo sviluppo con libcdaudio
Summary(pl.UTF-8):	Biblioteki i pliki nagłówkowe libcdaudio
Summary(sk.UTF-8):	Hlavičkové súbory a knižnice pre vývoj s libcdaudio
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
The libcdaudio-devel package provides the header files and libraries
needed for libcdaudio development.

%description devel -l fr.UTF-8
Le paquetage libcdaudio-devel fournit les ent^etes pour utiliser cette
bibliothèque.

%description devel -l it.UTF-8
Il pacchetto libcdaudio-devel contiene i file header e le librerie
necessarie lo sviluppo con libcdaudio.

%description devel -l pl.UTF-8
Biblioteki i pliki nagłówkowe libcdaudio.

%description devel -l sk.UTF-8
Balík libcdaudio-devel poskytuje hlavičkové súbory a knižnice potrebné
pre vývoj s použitím libcdaudio.

%package static
Summary:	libcdaudio static library
Summary(cs.UTF-8):	Statické knihovny pro vývoj s libcdaudio
Summary(fr.UTF-8):	Bibliothèques statiques de développement pour libcdaudio
Summary(it.UTF-8):	Librerie statiche per lo sviluppo con libcdaudio
Summary(pl.UTF-8):	Biblioteka statyczna libcdaudio
Summary(sk.UTF-8):	Statické knižnice pre vývoj s libcdaudio
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
The libcdaudio-static package provides static library needed for
libcdaudio development.

%description static -l it.UTF-8
Il pacchetto libcdaudio-static contiene le librerie statiche
necessarie lo sviluppo con libcdaudio.

%description static -l pl.UTF-8
Biblioteka statyczna libcdaudio.

%description static -l sk.UTF-8
Balík libcdaudio-static poskytuje statické knižnice potrebné pre vývoj
s použitím libcdaudio.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_static_libs:--disable-static}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libcdaudio-config
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*.h
%{_aclocaldir}/libcdaudio.m4
%{_pkgconfigdir}/*.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a
%endif

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: libcdaudio.spec,v $
Revision 1.18  2007/09/06 14:04:26  baggins
- rel 2

Revision 1.17  2007/07/23 17:29:50  witekfl
- added missing #

Revision 1.16  2007/06/17 13:33:39  witekfl
- in sources LGPL is mentioned as the license

Revision 1.15  2007/02/13 06:46:50  glen
- tabs in preamble

Revision 1.14  2007/02/12 00:49:02  baggins
- converted to UTF-8

Revision 1.13  2006/02/06 11:27:36  charles
- added *.pc to -devel

Revision 1.12  2006/02/05 19:45:54  luzik
- updated to 0.99.12p2
- fixed url
- removed outdated patch

Revision 1.11  2005/06/15 21:14:59  witekfl
- added header "Conditional build:"

Revision 1.10  2005/06/15 17:30:50  witekfl
- s/bcond_without static/bcond_without static_libs/

Revision 1.9  2005/06/15 16:39:21  witekfl
- added bcond_without static

Revision 1.8  2004/02/13 08:53:36  qboosh
- oops, this time really added am18 patch; release 4

Revision 1.7  2004/02/12 22:33:29  qboosh
- added am18 patch, fixed ac/am rebuild; release 3

Revision 1.6  2003/05/28 12:59:26  malekith
- massive attack: source-md5

Revision 1.5  2003/05/25 05:49:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.4  2003/03/01 22:39:12  radek
- copied install-sh and config.sub from automake (athlon problems)

Revision 1.3  2002/11/25 14:16:51  ankry
- massive attack: no need for 755 for *.la

Revision 1.2  2002/08/01 21:07:47  ankry
- added translations
- fixed i386 build (-fomit-frame-pointer)
- release 2, STBR

Revision 1.1  2002/07/23 14:25:28  wolf
- initial, STBR
